### Method

# Msg DriveService rename

#### Declaration [src]

    MsgDriveItem*
    msg_drive_service_rename (
      MsgDriveService* self,
      MsgDriveItem* item,
      const char* new_name,
      GCancellable* cancellable,
      GError** error
    )

#### Description [src]

Sets a new drive item name.

#### Parameters

`item`

  Type: `MsgDriveItem`

  A `MsgDriveItem`.

  The data is owned by the caller of the method.

`new_name`

  Type: `const char*`

  New name of item.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`cancellable`

  Type: `GCancellable`

  A `GCancellable`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `MsgDriveItem`

The renamed `MsgDriveItem`.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.